require 'test/unit'
require 'test-strings'

class  GenericCopyTests < Test::Unit::TestCase

  def test_copy_returns_true_not_the_huge_string_it_copied
    assert_equal(true, copy("hello"))
  end

  def test_unicopy_returns_true_as_well
    assert_equal(true, unicopy(%w{03b4 03d4 03a6}))
  end

  def test_unicopy_rejects_over_long_strings
    assert_raises(StandardError, "This string is too long to be a unicode character: '0x03b4'") {
      unicopy(%w{ 0x03b4 })
    }
  end

end

